####################################################################
####################################################################
#######  Reigious Convcition Perdicting Moral Conviction   #########

library(rockchalk) #Graphing simple slopes; moderation
library(stargazer) #Handy regression tables
library(foreign)  # Read in SPSS
library(gvlma)   #helper on diagnostics
library(effects) #helper on visualizing interactions - Uses lattice
library(sjPlot)  #helper on visualizing interactions - uses ggplot
library(ggplot2) #All the graphs
library(psych) #handy for descriptives, etc
library(dplyr) 

#set working directory
setwd("C:/Users/Brittany/Box Sync/RC Project/Data sets/Study 13 (Zaal S2 BH)")

##########################################################################################
##########################################################################################
#Zaal Series Study 2 Prevention/Promotion mindset manipulation data. 

#Read in data. 
RegManip <-read.spss("MCRC_Study13_Data.sav", use.value.labels = FALSE, to.data.frame = TRUE,
                     max.value.labels = Inf, trim.factor.names = FALSE,
                     trim_values = TRUE, reencode = NA, use.missings = to.data.frame)

describe(RegManip$PO)
describe(RegManip$CP_RC)
describe(RegManip$CP_MC)


#Center Religious Conviction.
RegManip$RCc <- scale(RegManip$CP_RC, center = T, scale = F)
describe(RegManip$RCc)
class(RegManip$RCc)
RegManip$RCc <- as.vector(RegManip$RCc)

#Mean replace Centered Religious Conviction.
RegManip$RCcmr <- ifelse(is.na(RegManip$RCc),
                         mean(RegManip$RCc,na.rm=TRUE), RegManip$RCc)
class(RegManip$RCcmr)

#Mean replace Political Orientation.
RegManip$POmr <- ifelse(is.na(RegManip$PO),
                        mean(RegManip$PO,na.rm=TRUE), RegManip$PO)

#Mean replace Moral Conviction
RegManip$MCmr <- ifelse(is.na(RegManip$CP_MC),
                        mean(RegManip$CP_MC,na.rm=TRUE), RegManip$CP_MC)

describe(RegManip$POmr)
describe(RegManip$RCcmr)
describe(RegManip$MCmr)

##############  Analyses  ################

##Descriptives and Bi-variate correlations.
describe(RegManip$PO)
describe(RegManip$CP_RC)
describe(RegManip$CP_MC)

cor.test(RegManip$PO,RegManip$CP_RC)
cor.test(RegManip$PO,RegManip$CP_MC)
cor.test(RegManip$CP_RC, RegManip$CP_MC)

#Main effects political orientation and religious conviction 

RegManip.main <- lm(MCmr ~ POmr
                    + RCcmr,
                    data = RegManip) 
summary(RegManip.main)

#Main effects & 2-way Interactions

RegManip.2way <- lm(MCmr ~ POmr
                    + RCcmr
                    + POmr*RCcmr,
                    data = RegManip) 
summary(RegManip.2way)
anova(RegManip.main,RegManip.2way)


##Table of all the steps
stargazer(RegManip.main,RegManip.2way,type="text",
          column.labels = c("Main Effects", "2-way Interactions"),
          intercept.bottom = FALSE,
          single.row=FALSE, 
          notes.append = FALSE,
          header=FALSE)